Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.ww2.actions.admin.user
Class ConfigureUser

    java.lang.Object
      ActionSupport
          com.atlassian.bamboo.ww2.BambooActionSupport
              com.atlassian.bamboo.ww2.actions.admin.user.ConfigureUser

All Implemented Interfaces:
  ErrorCollection, BambooSessionAware, ReturnUrlAware

    public class ConfigureUser

extends BambooActionSupport

Field Summary

Fields inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`buildManager, CONFIRM, cookieCutter`

Constructor Summary
`ConfigureUser()`

Method Summary
`String` | `doAdd()`
`String` | `doCreate()`
`String` | `doDefault()`
`String` | `doDelete()`
`String` | `doEdit()`
`String` | `doRead()`
`String` | `doUpdate()`
`String` | `execute()`
`String` | `getAffectedUsername()`
`long` | `getAuthorId()`
`Map` | `getAvailableAuthors()`
`List` | `getAvailableGroups()`
`String` | `getConfirmPassword()`
`BambooUser` | `getCurrentUser()`
`String` | `getEmail()`
`String` | `getFullName()`
`List` | `getGroups()`
`Iterator` | `getGroups(User user)`
`String` | `getJabberAddress()`
`Author` | `getLinkedAuthorForUser(User user)`
`String` | `getMode()`
`String` | `getNewAuthorName()`
`String` | `getPassword()`
`String` | `getUsername()`
`Iterator` | `getUsers()`
`boolean` | `isDeletable(User user)`
`void` | `setAffectedUsername(String affectedUsername)`
`void` | `setAuthorId(long authorId)`
`void` | `setBambooUserManager(BambooUserManager bambooUserManager)`
`void` | `setConfirmPassword(String confirmPassword)`
`void` | `setCurrentUser(BambooUser currentUser)`
`void` | `setEmail(String email)`
`void` | `setExtendedAuthorManager(ExtendedAuthorManager extendedAuthorManager)`
`void` | `setFullName(String fullName)`
`void` | `setGroups(List groups)`
`void` | `setJabberAddress(String jabberAddress)`
`void` | `setMode(String mode)`
`void` | `setNewAuthorName(String newAuthorName)`
`void` | `setPassword(String password)`
`void` | `setUsername(String username)`

Methods inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`addError, addError, addErrorCollection, addErrorMessage, addErrorMessages, addErrors, addIllegalArgumentException, doesLabelKeyHaveMatchingDescription, getAsPreformattedText, getBamboo, getBambooSession, getBreadCrumbs, getBuildManager, getConglomerateCookieValue, getCookieCutter, getCookieValue, getCurrentUrl, getDescriptionFromLabelKey, getFlushedErrorMessages, getReturnUrl, getUser, getWebItemsForSection, getWebResourceManager, getWebSectionsForLocation, hasAnyErrors, hasBuilds, hasPerm, isEnableSignup, isSelectFieldAndNull, setAuthenticationContext, setBambooPermissionManager, setBuildManager, setCookieCutter, setErrorMessages, setHtmlUtils, setReturnUrl, setWebInterfaceManager, setWebResourceManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.utils.error.ErrorCollection
`getErrorMessages, getErrors, getFieldErrors`

Constructor Detail

### ConfigureUser

    public ConfigureUser()

Method Detail

### doDefault

    public String doDefault()
                     throws Exception

  Overrides:
    `doDefault` in class `BambooActionSupport`
  Throws:
    `Exception`

### execute

    public String execute()
                   throws Exception

  Throws:
    `Exception`

### doAdd

    public String doAdd()
                 throws Exception

  Throws:
    `Exception`

### doCreate

    public String doCreate()
                    throws Exception

  Throws:
    `Exception`

### doRead

    public String doRead()
                  throws Exception

  Throws:
    `Exception`

### doEdit

    public String doEdit()
                  throws Exception

  Throws:
    `Exception`

### doUpdate

    public String doUpdate()
                    throws Exception

  Throws:
    `Exception`

### doDelete

    public String doDelete()
                    throws Exception

  Throws:
    `Exception`

### getUsers

    public Iterator getUsers()

### getGroups

    public Iterator getGroups(User user)

### getAvailableGroups

    public List getAvailableGroups()

### getLinkedAuthorForUser

    public Author getLinkedAuthorForUser(User user)

### getAvailableAuthors

    public Map getAvailableAuthors()

### getCurrentUser

    public BambooUser getCurrentUser()

### isDeletable

    public boolean isDeletable(User user)

### setBambooUserManager

    public void setBambooUserManager(BambooUserManager bambooUserManager)

### setExtendedAuthorManager

    public void setExtendedAuthorManager(ExtendedAuthorManager extendedAuthorManager)

### getUsername

    public String getUsername()

### setUsername

    public void setUsername(String username)

### setCurrentUser

    public void setCurrentUser(BambooUser currentUser)

### getPassword

    public String getPassword()

### setPassword

    public void setPassword(String password)

### getConfirmPassword

    public String getConfirmPassword()

### setConfirmPassword

    public void setConfirmPassword(String confirmPassword)

### getFullName

    public String getFullName()

### setFullName

    public void setFullName(String fullName)

### getEmail

    public String getEmail()

### setEmail

    public void setEmail(String email)

### getJabberAddress

    public String getJabberAddress()

### setJabberAddress

    public void setJabberAddress(String jabberAddress)

### getMode

    public String getMode()

### setMode

    public void setMode(String mode)

### getGroups

    public List getGroups()

### setGroups

    public void setGroups(List groups)

### getAffectedUsername

    public String getAffectedUsername()

### setAffectedUsername

    public void setAffectedUsername(String affectedUsername)

### getAuthorId

    public long getAuthorId()

### setAuthorId

    public void setAuthorId(long authorId)

### getNewAuthorName

    public String getNewAuthorName()

### setNewAuthorName

    public void setNewAuthorName(String newAuthorName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.